Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.session
Interface PseudoTerminal

All Known Implementing Classes:
  Ssh.Shell, TerminalIO

public interface PseudoTerminal

DOCUMENT ME!

Field Summary
`static int` | `CS7` DOCUMENT ME!
`static int` | `CS8` DOCUMENT ME!
`static int` | `ECHO` DOCUMENT ME!
`static int` | `ECHOCTL` DOCUMENT ME!
`static int` | `ECHOE` DOCUMENT ME!
`static int` | `ECHOK` DOCUMENT ME!
`static int` | `ECHOKE` DOCUMENT ME!
`static int` | `ECHONL` DOCUMENT ME!
`static int` | `ICANON` DOCUMENT ME!
`static int` | `ICRNL` DOCUMENT ME!
`static int` | `IEXTEN` DOCUMENT ME!
`static int` | `IGNCR` DOCUMENT ME!
`static int` | `IGNPAR` DOCUMENT ME!
`static int` | `IMAXBEL` DOCUMENT ME!
`static int` | `INLCR` DOCUMENT ME!
`static int` | `INPCK` DOCUMENT ME!
`static int` | `ISIG` DOCUMENT ME!
`static int` | `ISTRIP` DOCUMENT ME!
`static int` | `IUCLC` DOCUMENT ME!
`static int` | `IXANY` DOCUMENT ME!
`static int` | `IXOFF` DOCUMENT ME!
`static int` | `IXON` DOCUMENT ME!
`static int` | `NOFLSH` DOCUMENT ME!
`static int` | `OCRNL` DOCUMENT ME!
`static int` | `OLCUC` DOCUMENT ME!
`static int` | `ONLCR` DOCUMENT ME!
`static int` | `ONLRET` DOCUMENT ME!
`static int` | `ONOCR` DOCUMENT ME!
`static int` | `OPOST` DOCUMENT ME!
`static int` | `PARENB` DOCUMENT ME!
`static int` | `PARMRK` DOCUMENT ME!
`static int` | `PARODD` DOCUMENT ME!
`static int` | `PENDIN` DOCUMENT ME!
`static int` | `TOSTOP` DOCUMENT ME!
`static int` | `TTY_OP_END` DOCUMENT ME!
`static int` | `TTY_OP_ISPEED` DOCUMENT ME!
`static int` | `TTY_OP_OSPEED` DOCUMENT ME!
`static int` | `VDISCARD` DOCUMENT ME!
`static int` | `VDSUSP` DOCUMENT ME!
`static int` | `VEOF` DOCUMENT ME!
`static int` | `VEOL` DOCUMENT ME!
`static int` | `VEOL2` DOCUMENT ME!
`static int` | `VERASE` DOCUMENT ME!
`static int` | `VFLUSH` DOCUMENT ME!
`static int` | `VINTR` DOCUMENT ME!
`static int` | `VKILL` DOCUMENT ME!
`static int` | `VLNEXT` DOCUMENT ME!
`static int` | `VQUIT` DOCUMENT ME!
`static int` | `VREPRINT` DOCUMENT ME!
`static int` | `VSTART` DOCUMENT ME!
`static int` | `VSTATUS` DOCUMENT ME!
`static int` | `VSTOP` DOCUMENT ME!
`static int` | `VSUSP` DOCUMENT ME!
`static int` | `VSWTCH` DOCUMENT ME!
`static int` | `VWERASE` DOCUMENT ME!
`static int` | `XCASE` DOCUMENT ME!

Method Summary
`int` | `getColumns()` DOCUMENT ME!
`java.lang.String` | `getEncodedTerminalModes()` DOCUMENT ME!
`int` | `getHeight()` DOCUMENT ME!
`int` | `getRows()` DOCUMENT ME!
`java.lang.String` | `getTerm()` DOCUMENT ME!
`int` | `getWidth()` DOCUMENT ME!

Field Detail

### TTY_OP_END

    public static final int TTY_OP_END

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VINTR

    public static final int VINTR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VQUIT

    public static final int VQUIT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERASE

    public static final int VERASE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VKILL

    public static final int VKILL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VEOF

    public static final int VEOF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VEOL

    public static final int VEOL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VEOL2

    public static final int VEOL2

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VSTART

    public static final int VSTART

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VSTOP

    public static final int VSTOP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VSUSP

    public static final int VSUSP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VDSUSP

    public static final int VDSUSP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VREPRINT

    public static final int VREPRINT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VWERASE

    public static final int VWERASE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VLNEXT

    public static final int VLNEXT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VFLUSH

    public static final int VFLUSH

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VSWTCH

    public static final int VSWTCH

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VSTATUS

    public static final int VSTATUS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VDISCARD

    public static final int VDISCARD

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IGNPAR

    public static final int IGNPAR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PARMRK

    public static final int PARMRK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### INPCK

    public static final int INPCK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ISTRIP

    public static final int ISTRIP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### INLCR

    public static final int INLCR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IGNCR

    public static final int IGNCR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ICRNL

    public static final int ICRNL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IUCLC

    public static final int IUCLC

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IXON

    public static final int IXON

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IXANY

    public static final int IXANY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IXOFF

    public static final int IXOFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IMAXBEL

    public static final int IMAXBEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ISIG

    public static final int ISIG

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ICANON

    public static final int ICANON

  DOCUMENT ME!

  See Also:
    Constant Field Values

### XCASE

    public static final int XCASE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ECHO

    public static final int ECHO

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ECHOE

    public static final int ECHOE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ECHOK

    public static final int ECHOK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ECHONL

    public static final int ECHONL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### NOFLSH

    public static final int NOFLSH

  DOCUMENT ME!

  See Also:
    Constant Field Values

### TOSTOP

    public static final int TOSTOP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IEXTEN

    public static final int IEXTEN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ECHOCTL

    public static final int ECHOCTL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ECHOKE

    public static final int ECHOKE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PENDIN

    public static final int PENDIN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPOST

    public static final int OPOST

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OLCUC

    public static final int OLCUC

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ONLCR

    public static final int ONLCR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OCRNL

    public static final int OCRNL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ONOCR

    public static final int ONOCR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ONLRET

    public static final int ONLRET

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CS7

    public static final int CS7

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CS8

    public static final int CS8

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PARENB

    public static final int PARENB

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PARODD

    public static final int PARODD

  DOCUMENT ME!

  See Also:
    Constant Field Values

### TTY_OP_ISPEED

    public static final int TTY_OP_ISPEED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### TTY_OP_OSPEED

    public static final int TTY_OP_OSPEED

  DOCUMENT ME!

  See Also:
    Constant Field Values

Method Detail

### getColumns

    public int getColumns()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getEncodedTerminalModes

    public java.lang.String getEncodedTerminalModes()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getHeight

    public int getHeight()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRows

    public int getRows()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getTerm

    public java.lang.String getTerm()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getWidth

    public int getWidth()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD